Extension Updates

Tweet Display Back Future Version Support

With Joomla's new six month release cycle, new versions are coming quicker than ever.  Along with that, support for versions is ending sooner as well.  With the next long term release coming in January, as well as the end of life (EOL) for Joomla! 1.5 and 1.7 coming in April and February respectively, I felt it important to announce my future support plans for Tweet Display Back.

Ending Support for Joomla! 1.5 & 1.7

The current supported versions of Joomla! are 1.5 and 1.7, and as such, my module supports these versions.  Additionally, the module is still usable on Joomla! 1.6, but bugs specific to that version will not be fixed since it is not supported.  Around February 15, 2012, is when Joomla! 1.7 support will end.  At that time, I will also discontinue future development with support for Joomla! 1.5 in mind, but will continue to support bug fixes on the version series that Tweet Display Back is on at that time (for example, the current 2.1 series if it is the newest series as of February 2012) until October 2012, six months after the EOL for Joomla! 1.5.  For developers, I have marked various sections of code that will be removed or altered with these events, to give an understanding of what will occur.

I will not be removing any functionality from the module.  To the contrary, I will be implementing features that have been added to the Joomla! Platform that will only be available in Joomla! 2.5 and above.  This lightens my support requirements by removing code for which there are duplicated efforts present in order to support multiple Joomla! versions.  This should improve both this module and the platform's quality by using this code, shared with all Joomla! users.

Future Development

Future development is driven by user request and contributions.  If there is a feature you would like to see implemented, you can either request the feature or develop the code for the feature and issue a pull request on GitHub.  I would like to add additional features to the native templates, and possibly include additional templates, however I am not strong in design work or with JavaScript, both of which are areas that would need to be built upon to bring additional power to this module.  Remember that at the current time, all code must have compatibility with Joomla! 1.5 and 1.7.  After February 2012, only Joomla! 2.5 will need to be supported.

Documentation & Support

As always, further information about the module is available in the Tweet Display Back section of the site, including information about the module's parameters, available translations, FAQ's, and more! Be sure to check out the Tutorials as well with tips on optimizing your module configuration and customizing the module's templates.


If you have any questions or comments concerning this announcement, feel free to leave a comment below and I will respond ASAP.